var messages = {
  en: {
    title: 'RGBWifi',
    systemID: 'System ID',
    firmwareVersion: 'Firmware version: ',
    copyright: 'Copyright © 2020 Mark van Renswoude',
    loading: 'Please wait, loading configuration...',
    rebootPending: 'The system will be rebooted, please refresh this page afterwards',

    applyButton: 'Apply',
    applyButtonSaving: 'Saving...',
    deviceTime: 'Time: ',

    wifiStatus: {
      accesspoint: {
        title: 'AP: ',
        disabled: 'Disabled'
      },

      stationmode: {
        title: 'WiFi: ',
        disabled: 'Disabled',
        idle: 'Idle',
        noSSID: 'SSID not found',
        scanCompleted: 'Scan completed',
        connectFailed: 'Failed to connect',
        connectionLost: 'Connection lost',
        disconnected: 'Disconnected'
      }
    },

    status: {
      tabTitle: 'Status',
      title: 'Current status',

      staticOff: 'Off'
    },

    connection: {
      tabTitle: 'Connection',
      title: 'Connection parameters',

      accesspoint: 'Enable access point',
      accesspointHint: 'Allows for a direct connection from your device to this RGBWifi module for configuration purposes. The RGBWifi configuration is available on http://192.168.1.4/ when you are connected to it. Turn it off as soon as station mode is configured, as it is not secured in any way. You can always turn this option back on by pushing the access point button until the LED lights up.',

      stationmode: 'Enable station mode',
      stationmodeHint: 'Connect this RGBWifi module to your own WiFi router. Please enter the SSID, password and further configuration below.',

      ssid: 'SSID',
      password: 'Password',

      dhcp: 'Use DHCP',
      dhcpHint: 'Automatically assigns an IP address to this RGBWifi module. You probably want to keep this on unless you know what you\'re doing.',

      ipaddress: 'IP address',
      subnetmask: 'Subnet mask',
      gateway: 'Gateway',
      hostname: 'Hostname',
      hostnameHint: 'If specified, this module is available at <hostname>.local if your device supports mDNS (at the time of writing, Android does not).',
      hostnamePlaceholder: 'Default: mac address'
    },

    system: {
      tabTitle: 'System',
      pinsTitle: 'Hardware pinout',
      ledStripTitle: 'LED strip',
      firmwareTitle: 'Firmware update',

      pinLEDAP: 'Access Point status LED pin (+3.3v)',
      pinLEDSTA: 'Station Mode status LED pin (+3.3v)',
      pinAPButton: 'Enable Access Point button pin (active low)',

      ledCount: 'Number of LEDs on strip'
    },

    error: {
      loadStatus: 'Could not load system status',
      loadConnection: 'Could not load connection settings',
      loadSystem: 'Could not load system settings',
      applyConnection: 'Could not save connection settings',
      applySystem: 'Could not save system settings',
      updateWiFiStatus: 'Could not retrieve WiFi status',
      uploadFirmware: 'Error while uploading firmware',

      setColor: 'Could not set color',

      resetError: 'The system reports that it has been reset unexpectedly. The last power up status is:',
      resetReason: {
        0: 'Normal startup',
        1: 'Unresponsive, reset by hardware watchdog',
        2: 'Unhandled exception',
        3: 'Unresponsive, reset by software watchdog',
        4: 'System restart requested',
        5: 'Wake up from deep sleep',
        6: 'System reset'
      },
      stackTrace: 'A stack trace is available. Please send it to your nearest developer and/or delete it from this RGBWifi module to remove this message.',
      stackTraceDownload: 'Download',
      stackTraceDelete: 'Hide',

      stackTraceDeleteError: 'Could not remove stack trace'
    }
  },

  nl: {
    title: 'RGBWifi',
    systemID: 'Systeem ID',
    firmwareVersion: 'Firmware versie: ',
    copyright: 'Copyright © 2020 Mark van Renswoude',
    loading: 'Een ogenblik geduld, bezig met laden van configuratie...',
    rebootPending: 'Het systeem wordt opnieuw opgestart, ververse deze pagina nadien',

    applyButton: 'Opslaan',
    applyButtonSaving: 'Bezig met opslaan...',
    deviceTime: 'Tijd: ',

    wifiStatus: {
      accesspoint: {
        title: 'AP: ',
        disabled: 'Uitgeschakeld'
      },

      stationmode: {
        title: 'WiFi: ',
        disabled: 'Uitgeschakeld',
        idle: 'Slaapstand',
        noSSID: 'SSID niet gevonden',
        scanCompleted: 'Scan afgerond',
        connectFailed: 'Kan geen verbinding maken',
        connectionLost: 'Verbinding verloren',
        disconnected: 'Niet verbonden'
      }
    },

    status: {
      tabTitle: 'Status',
      title: 'Huidige status',

      staticOff: 'Uit'
    },

    connection: {
      tabTitle: 'Verbinding',
      title: 'Verbinding configuratie',

      accesspoint: 'Access point inschakelen',
      accesspointHint: 'Maakt het mogelijk om een directe connectie vanaf een apparaat naar deze RGBWifi module te maken om de module te configureren. De RGBWifi module is te benaderen via http://192.168.1.4/ nadat je connectie hebt gemaakt. Schakel deze optie uit na het configureren, aangezien deze niet beveiligd is. Je kunt deze optie ook inschakelen door op de Access point knop te drukken totdat de LED aan gaat.',

      stationmode: 'Verbinding met WiFi maken',
      stationmodeHint: 'Verbind deze RGBWifi module aan je eigen WiFi router. Vul hieronder het SSID en wachtwoord in, en configureer eventuel de overige opties.',

      ssid: 'SSID',
      password: 'Wachtwoord',

      dhcp: 'Gebruik DHCP',
      dhcpHint: 'Automatisch een IP adres toewijzen aan deze RGBWifi module. Waarschijnlijk wil je deze optie aan laten, tenzij je weet waar je mee bezig bent.',

      ipaddress: 'IP adres',
      subnetmask: 'Subnet masker',
      gateway: 'Gateway',
      hostname: 'Hostnaam',
      hostnameHint: 'Indien ingevuld is deze module te bereiken op <hostnaam>.local als je apparaat mDNS ondersteund mDNS (op het moment van schrijven ondersteund Android dit niet).',
      hostnamePlaceholder: 'Standaard: mac adres'
    },

    system: {
      tabTitle: 'Systeem',
      pinsTitle: 'Hardware aansluitingen',
      ledStripTitle: 'LED strip',
      firmwareTitle: 'Firmware bijwerken',

      pinLEDAP: 'Access Point status LED pin (+3.3v)',
      pinLEDSTA: 'WiFi status LED pin (+3.3v)',
      pinAPButton: 'Access Point inschakelen knop pin (actief laag)',

      ledCount: 'Aantal LEDs op strip'
    },

    error: {
      loadStatus: 'Kan systeemstatus niet ophalen',
      loadConnection: 'Kan verbinding instellingen niet ophalen',
      loadSystem: 'Kan systeem instellingen niet ophalen',
      applyConnection: 'Kan verbinding instellingen niet opslaan',
      applySystem: 'Kan systeem instellingen niet opslaan',
      updateWiFiStatus: 'Kan WiFi status niet ophalen',
      uploadFirmware: 'Fout tijdens bijwerken van firmware',

      setColor: 'Kan kleur niet zetten',

      resetError: 'Het systeem is onverwachts herstart. De laatste status is:',
      resetReason: {
        0: 'Normaal opgestart',
        1: 'Reageert niet, herstart door hardware watchdog',
        2: 'Onafgehandelde fout',
        3: 'Reageert niet, herstart door software watchdog',
        4: 'Herstart verzoek door systeem',
        5: 'Wakker geworden uit diepe slaap',
        6: 'Systeem gereset'
      },
      stackTrace: 'Een stack trace is beschikbaar. Stuur het naar de dichtsbijzijnde ontwikkelaar en/of verwijder het van deze RGBWifi module om dit bericht te verbergen.',
      stackTraceDownload: 'Downloaden',
      stackTraceDelete: 'Verbergen',

      stackTraceDeleteError: 'Kan stack trace niet verwijderen'
    }
  }
}